%define url_ver %(echo %{version} | cut -d. -f1,2)


Summary:	Desktop manager for the Xfce Desktop Environment
Name:		xfdesktop
Version:	4.18.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    xfce-pclinuxos.png
Patch0:	    0001-Disable-ellipsizing-unselected-icon-labels-by-defaul.patch
Patch1:     xfdesktop-common.h.patch
BuildRequires: git
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64xfce4util-devel
BuildRequires: lib64exo-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64wnck3-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64dbus-glib-1_2-devel

Requires: garcon
Requires: lib64garcon-gtk3_1_0
Requires: lib64garcon1_0
Requires: xfconf
Requires: xfce4-power-manager
Requires: libxfce4util-i18n
Requires: xfce4-panel
Requires: thunar
Requires: lib64xfce4ui2_0
Requires: libxfce4ui-glade
Requires: exo
Requires: xfce4-appfinder
Requires: lib64xfce4kbd-private3_0
Requires: xfce4-settings
Requires: lib64thunarx3_0
Requires: libxfce4ui
Requires: lib64exo2_0
Requires: xfce4-session
Requires: xfwm4
Requires: thunar-volman
Requires: lib64xfce4util7
Requires: lib64xfce4panel2.0_4
Requires: lib64xfconf0_3
Requires: xfce4-terminal

Requires: xfce4-config
Requires: xfce4-whiskermenu-plugin
#Requires: xfce4-pulseaudio-plugin
Requires: la-capitaine-icons

Obsoletes:  xfdesktop-doc
Obsoletes:  xfdesktop
Provides:   xfdesktop = %version-%release

%description
The desktop manager sets the background image, provides a right-click
menu to launch applications and can optionally show files
(including application launchers) or iconified windows. It includes
gradient support for background color, saturation support for background image,
real multiscreen and xinerama support, and it provides a desktop menu editor.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-desktop-icons \
	--enable-file-icons \
	--enable-thunarx \
	--enable-desktop-menu \
	--with-file-manager-fallback=%{_bindir}/Thunar \
	--enable-notifications

%make_build

%install
rm -rf %buildroot
%make_install

#custom default background
install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/backgrounds/xfce/xfce-pclinuxos.png

%files
%{_bindir}
%{_datadir}

%changelog
* Thu May 25 2023 tex - 4.18.1-2pclos2023
- remove pulseaudio dep and let the ignorants
- figure out how to get a volume icon on the taskbar
- also notifications

* Sat Jan 21 2023 tex - 4.18.1-1pclos2023
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.1-1pclos2022
- prepare for 4.18 final
